# TRIAL.1

## NAME

trial - run unit tests

## SYNOPSIS

trial [-b] [-v|-o|-j] [-r reactor] [-l logfile] [-m module [-m module ... ]] [-p package [-p package ... ]] file|module|package|TestCase|testMethod ...

trial --help

## DESCRIPTION

trial loads and executes a suite of unit tests, obtained from modules and packages listed on the command line. The --help option prints out a usage message to standard output.

-s, --summary
  Print out just a machine-parseable summary of the results.
-v, --verbose
  Be more verbose. Without this option, trial prints out a single character for each test. (e.g. An 'F' for a failure, a '.' for a success, a 'S' for skipped test, a 'T' for a todo and '!' for unexpected success). With this option, trial prints a single line for each test. This is especially useful for gauging how long each test takes.
-o, --bwverbose
  Be verbose, but do not attempt to use colors (more log-file friendly)
-j, --jelly
  Report results in a machine-readable jelly stream.
--timing
  Report results with timing information for each test.
--tbformat<format>
  Format to display tracebacks with. Valid values are 'plain' and 'emacs', default being 'plain'.
-m, --module<module>
  Module containing test cases.
--testmodule<module>
  Find the test case for a named file
-p, --package<package>
  Package containing modules that contain test cases. trial loads modules named 'test_' within the given package.
-l, --logfile<logfile>
  Log exceptions (and other things) to the given logfile.
-r, --reactor<reactor>
  Use this reactor for running the tests. The reactor names are the same as those accepted by twistd: c, qt, gtk2, and so on.
-b, --debug
  Run the tests in the Python debugger. Also does post-mortem debugging on exceptions.
-R, --recurse
  Recursively search the specified packages for test modules.

## AUTHOR

Written by Jonathan M. Lange

## REPORTING BUGS

Report bugs to <twisted-python@twistedmatrix.com>.

## COPYRIGHT

Copyright © 2003 Matthew W. Lefkowitz This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

Index

Version: 1.1.0